Subject: Re: FVWM: FvwmScript: Messages

From: Dominik Vogt <[email-masked]>
Date: Sun, 16 Sep 2001 02:18:24 +0200

On Tue, Aug 28, 2001 at 10:10:37AM +0200, Andre Bonhote wrote:
> Hi Guys!
> 
> I am currently writing a small neat FvwmScript which offers a dialog to
> open an URL. It works fine til now, but I want MORE! *g*
> 
> It has three widgeds: A TextField and two PushButtons (OpenURL and
> Cancel). Now, as I prefer using my Keyboard, I would like to open my URL
> without pressing the OpenURL button, but by hitting the Enter key.
> 
> In the manpage, I found 'SendSignal' which I would like to use to simply
> send 'SingleClic' to my PushButton. But HOW do I get the Enter key
> signal? Unfortunately, there's no description of the signals at all in
> the Manpage.

Jesus, that code is too complicated for me!  I tried to find out
what FvwmScript actually does with the SendSignal command or at
least find the list of allowed signals but failed miserably.  From
the strings in the sources I guess that only mouse clicks can be
sent.  I think it wouldn't be difficult to implement an
'EnterPress' signal if I only knew hot to modify the tables in
the script.c source file.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].